Bug 1712072 (CVE-2019-11833) - CVE-2019-11833 kernel: fs/ext4/extents.c leads to information disclosure
Summary: CVE-2019-11833 kernel: fs/ext4/extents.c leads to information disclosure
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11833
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1712073 1715275 1715276 1715277 1715278 1715280 1715281 1772270 1772271 1772272 1772273
Blocks: 1712074
TreeView+ depends on / blocked
 
Reported: 2019-05-20 17:41 UTC by msiddiqu
Modified: 2020-05-06 09:48 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's implementation of ext4 extent management. The kernel doesn't correctly initialize memory regions in the extent tree block which may be exported to a local user to obtain sensitive information by reading empty/uninitialized data from the filesystem.
Clone Of:
Environment:
Last Closed: 2019-08-06 13:22:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:04:46 UTC
Red Hat Product Errata RHSA-2019:2043 None None None 2019-08-06 12:07:11 UTC
Red Hat Product Errata RHSA-2019:3309 None None None 2019-11-05 20:35:34 UTC
Red Hat Product Errata RHSA-2019:3517 None None None 2019-11-05 21:06:16 UTC

Description msiddiqu 2019-05-20 17:41:23 UTC
A flaw was found in the Linux kernels implementation of ext4 extent management which did not correctly initialize memory regions in the extent tree block which may be exported to a local user to obtain sensitive information by reading empty/uninitialized data from the filesystem.

This is considered an information leak, but the information leveraged could be used in to future another attack. 


Upstream patch:

https://github.com/torvalds/linux/commit/592acbf16821288ecdc4192c47e3774a4c48bb64

Comment 1 msiddiqu 2019-05-20 17:41:43 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1712073]

Comment 2 Wade Mealing 2019-05-29 05:30:54 UTC
Statement: 

This is a possible information leak of data that existed in the extent tree blocks.  While the attacker does not have control of what exists in the blocks prior to this point they may be able to glean confidential information or possibly information that could be used to further another attack.

Comment 9 errata-xmlrpc 2019-08-06 12:04:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2029 https://access.redhat.com/errata/RHSA-2019:2029

Comment 10 errata-xmlrpc 2019-08-06 12:07:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2043 https://access.redhat.com/errata/RHSA-2019:2043

Comment 11 Product Security DevOps Team 2019-08-06 13:22:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11833

Comment 13 errata-xmlrpc 2019-11-05 20:35:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3309 https://access.redhat.com/errata/RHSA-2019:3309

Comment 14 errata-xmlrpc 2019-11-05 21:06:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3517 https://access.redhat.com/errata/RHSA-2019:3517


Note You need to log in before you can comment on or make changes to this bug.